namespace CMSMicroservice.Application.InventoryItemCQ.Commands.ReduceInventory;

public class ReduceInventoryCommandValidator : AbstractValidator<ReduceInventoryCommand>
{
    public ReduceInventoryCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.Quantity)
            .GreaterThan(0).WithMessage("تعداد کاهش باید بیشتر از صفر باشد");
    }
}
